FSCK.MINIX(8)

NOME
fsck.minix - verifica a consistência de um sistema de arquivos Minix

SINOPSE

fsck.minix [options] device

DESCRIÇÃO

fsck.minix performs a consistency check for the Linux MINIX filesystem.

O programa presume que o sistema de arquivos está quiescente. fsck.minix não deve ser usado em um dispositivo montado, a menos que você tenha certeza de que ninguém está escrevendo nele. Lembre-se de que o kernel pode escrever no dispositivo ao procurar por arquivos.

O nome do dispositivo geralmente terá o seguinte formato:
    /dev/hda[1-63] | IDE disco 1
    /dev/hdb[1-63] | IDE disco 2
    /dev/sda[1-15] | SCSI disco 1
    /dev/sdb[1-15] | SCSI disco 2

If the filesystem was changed, i.e., repaired, then fsck.minix will print "FILE SYSTEM HAS BEEN CHANGED" and will sync(2) three times before exiting. There is no need to reboot after check.

AVISO

fsck.minix should not be used on a mounted filesystem. Using fsck.minix on a mounted filesystem is very dangerous, due to the possibility that deleted files are still in use, and can seriously damage a perfectly good filesystem! If you absolutely have to run fsck.minix on a mounted filesystem, such as the root filesystem, make sure nothing is writing to the disk, and that no files are "zombies" waiting for deletion.

OPÇÕES

-l, --list
    Lista todos nomes de arquivos.

-r, --repair
    Executa reparos interativos.

-a, --auto
    Executa reparos automáticos. Esta opção implica --repair e serve para responder a todas as perguntas feitas com o padrão. Observe que isso pode ser extremamente perigoso no caso de danos extensos ao sistema de arquivos.

-v, --verbose
    Modo detalhado.

-s, --super
    Exibe informação de superbloco.

-m, --uncleared
    Ativa avisos de "modo não limpo" no estilo MINIX.

-f, --force
    Força uma verificação do sistema de arquivos, mesmo se o sistema de arquivos foi marcado como válido. A marcação é feita pelo kernel quando o sistema de arquivos é desmontado.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Display version and exit.

DIAGNÓSTICOS

Existem inúmeras mensagens de diagnóstico. Os mencionados aqui são os mais comumente vistos em uso normal.

Se o dispositivo não existir, fsck.minix imprimirá "não foi possível ler o superbloco". Se o dispositivo existir, mas não for um sistema de arquivos MINIX, fsck.minix imprimirá "número mágico ruim no superbloco".

STATUS DE SAÍDA

O status de saída retornado por fsck.minix é a soma do seguinte:

0
    Nenhum erro

3
    Erros do sistema de arquivos corrigidos, o sistema deve ser reiniciado se o sistema de arquivos foi montado

4
    Erros de sistema de arquivos não corrigidos

7
    Combinação dos status de saída 3 e 4

8
    Erro operacional

16
    Erro de uso ou de sintaxe

AUTORES

Valores de status de saída por Adicionado suporte à opção de validade do sistema de arquivos: Verifica para evitar fsck de sistema de arquivos montados adicionado por Suporte ao sistema de arquivos Minix v2 por atualizado por Patch de portabilidade por

VEJA TAMBÉM

fsck(8), fsck.ext2(8), mkfs(8), mkfs.ext2(8), mkfs.minix(8), reboot(8)

RELATANDO PROBLEMAS

For bug reports, use the

DISPONIBILIDADE

O comando fsck.minix é parte do pacote util-linux que pode ser baixado do